Texa DeskDevelopers

Texa Desk Application API · Contacts

Merge Contacts

POST/api/v1/accounts/{account_id}/actions/contact_merge

Merge two contacts into a single contact. The base contact remains and receives all data from the mergee contact. After the merge, the mergee contact is permanently deleted.

This action is irreversible. All conversations, labels, and custom attributes from the mergee contact will be moved to the base contact.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

base_contact_idintegerrequired

ID of the contact that will remain after the merge and receive all data

mergee_contact_idintegerrequired

ID of the contact that will be merged into the base contact and deleted

Responses

200

Contacts merged successfully

idnumber
payloadarray of object
payload[].additional_attributesobject

The object containing additional attributes related to the contact

payload[].availability_statusstring

The availability status of the contact

payload[].emailstring

The email address of the contact

payload[].idinteger

The ID of the contact

payload[].namestring

The name of the contact

payload[].phone_numberstring

The phone number of the contact

payload[].blockedboolean

Whether the contact is blocked

payload[].identifierstring

The identifier of the contact

payload[].thumbnailstring

The thumbnail of the contact

payload[].custom_attributesobject

The custom attributes of the contact

payload[].last_activity_atinteger

The last activity at of the contact

payload[].created_atinteger

The created at of the contact

payload[].contact_inboxesarray of object
payload[].contact_inboxes[].source_idstring

Contact Inbox Source Id

payload[].contact_inboxes[].inboxobject
400

Bad request - invalid contact IDs or contacts cannot be merged

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

One or both contacts not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring